List

View as Markdown
List entitlements associated to merchant's customers. Only relevant for merchants offering digital products.

Query parameters

merchantstringRequired
Merchant ID
merchant_user_idstringOptional
Customer ID. If the request is made on behalf of a customer, only the entitlements tied to the calling customer are returned, regardless of the value provided in this field
resource_public_idstringOptional
Filters entitlements by a single resource public ID.
resource_public_idsstringOptional

Filters entitlements to those associated with the specified resource public IDs. Provide a comma-separated list of resource public IDs. Cannot be used together with resource_public_id.

external_resource_idstringOptional
Merchant resource ID
livebooleanOptional
Filters entitlements by whether their associated resources are accessible
resource_namestringOptional

Filters entitlements by resource name (case-insensitive match).

grantee_external_ids_exactstringOptional
Filter entitlements by list of exact ids (returns entitlement if and only if every grantee passed in is present in the entitlement and no other grantees are present) example: grantee_external_ids_exact=grantee_a,grantee_b returns entitlements with both grantee_a and grantee_b, but not entitlements with just grantee_a or entitlements that have grantee_a, grantee_b, but also grantee_c

Response

200
nextstring

URL to get the next page of results. null if there are no more pages.

previousstring

URL to get the previous page of results. null if there are no previous pages.

resultslist of objects

Note: This endpoint returns up to 100 entitlements per request by default, which differs from other endpoints in this API.